import React, { ReactElement } from 'react';
declare const IconList: readonly ["check", "right", "upright"];
type IconType = (typeof IconList)[number];
interface KaButtonProps {
    leftIcon?: IconType | ReactElement;
    rightIcon?: IconType | ReactElement;
    type?: 'primary' | 'secondary' | 'tertiary' | 'red' | 'redLine';
    size?: 'sm' | 'md' | 'lg' | 'xl';
    disabled?: boolean;
    onClick: () => void;
    children: React.ReactNode;
    fill?: boolean;
}
export declare const KaButton: ({ leftIcon, rightIcon, type, size, children, fill, ...rest }: KaButtonProps) => ReactElement;
export {};
